Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class CustomFunction

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.CustomFunction

All Implemented Interfaces:
  Manageable, Shareable, FloatToFloat

    public class CustomFunction

extends ShareableBase
implements FloatToFloat

Nested Class Summary
`static class` | `CustomFunction.Type`

Field Summary
`static CustomFunction.Type` | `$TYPE`
`static SCOType.Field` | `function$FIELD`
`static SCOType.Field` | `p$FIELD`

Constructor Summary
`CustomFunction()`
`CustomFunction(double value)`
`CustomFunction(double value, double minFV, double maxFV)`
`CustomFunction(java.lang.String ss)`
`CustomFunction(java.lang.String ss, double minFV, double maxFV)`

Method Summary
`float` | `evaluateFloat()`
`float` | `evaluateFloat(float x)` Computes the value of this function at `x`.
`float` | `evaluateFloat(float x, Tuple2f id, Tuple3f nutrientsValues, Tuple2f h, float d)`
`float` | `evaluateFloat(Tuple2f id, Tuple3f nutrientsValues, Tuple2f h, float d)`
`float` | `evaluateZerro()`
`java.lang.String` | `getFunction()`
`ManageableType` | `getManageableType()`
`float` | `getP()`
`void` | `setFunction(double value)`
`void` | `setFunction(java.lang.String value)`
`void` | `setValues(Tuple2f id, Tuple3f nutrientsValues, Tuple2f h, float d)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final CustomFunction.Type $TYPE

### function$FIELD

    public static final SCOType.Field function$FIELD

### p$FIELD

    public static final SCOType.Field p$FIELD

Constructor Detail

### CustomFunction

    public CustomFunction()

### CustomFunction

    public CustomFunction(double value)

### CustomFunction

    public CustomFunction(double value,
                          double minFV,
                          double maxFV)

### CustomFunction

    public CustomFunction(java.lang.String ss)

### CustomFunction

    public CustomFunction(java.lang.String ss,
                          double minFV,
                          double maxFV)

Method Detail

### evaluateFloat

    public float evaluateFloat()

### evaluateFloat

    public float evaluateFloat(float x)

  Description copied from interface: `FloatToFloat`
  Computes the value of this function at `x`.

  Specified by:
    `evaluateFloat` in interface `FloatToFloat`
  Parameters:
    `x` - where the function is to be evaluated
  Returns:
    function value at `x`

### evaluateFloat

    public float evaluateFloat(float x,
                               Tuple2f id,
                               Tuple3f nutrientsValues,
                               Tuple2f h,
                               float d)

### evaluateFloat

    public float evaluateFloat(Tuple2f id,
                               Tuple3f nutrientsValues,
                               Tuple2f h,
                               float d)

### evaluateZerro

    public float evaluateZerro()

### getFunction

    public java.lang.String getFunction()

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getP

    public float getP()

### setFunction

    public void setFunction(double value)

### setFunction

    public void setFunction(java.lang.String value)

### setValues

    public void setValues(Tuple2f id,
                          Tuple3f nutrientsValues,
                          Tuple2f h,
                          float d)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD